Subject: [SIP] detection of retransmitted request at stateful proxy

From: William Marshall <[email-masked]>
Date: Tue, 4 Apr 2000 13:48:44 -0400 (EDT)

This question is regarding section 12.3.4 of 2543 (and 2543bis).
If the answer is in the mailing list archives, or the notes file,
or the faq, I've missed it.

If a forking proxy receives an INVITE request, and generates two
INVITES from it, according to 12.4 the only difference between them
is the branch=x in the via header (and probably the Request-URI too)

If it happens that both of those forked requests are sent to the same
stateful proxy as the next hop, how does that proxy know that
the second isn't a retransmission?  To, From (including tags),
Call-ID, and CSeq are all identical.

Adding a tag on the From header at the forking proxy would seem to
be a bad idea, since then the response wouldn't match at the UAC.
Also, there may already be a tag on the From header.

Does this mean the stateful proxy needs to compare Via headers
also, in determining whether the received request is a retransmission?
Or, should it compare the Request-URI?
Is there some other way it can tell that the second is a real request?

Bill Marshall
[email-masked]

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

---

From: Shail Bhatnagar <[email-masked]>
Date: Tue, 04 Apr 2000 14:05:01 -0400

> Is there some other way it can tell that the second is a real request?

Bill, I think you are referring to the problem of request merging in a 
forking proxy - refer to Jonathan's page - he has a small article and 
possible solutions.

-- 
Best regards,
Shail